﻿<Page x:Class="HookLine_Wpf.Views.Pages.TovarsPage"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:vm="clr-namespace:HookLine_Wpf.ViewModels"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:HookLine_Wpf.Views.Pages"
      mc:Ignorable="d" 
      d:DesignHeight="450" d:DesignWidth="800"
      Title="TovarsPage">

    <Page.DataContext>
        <vm:TovarsPageViewModel/>
    </Page.DataContext>
 
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
            <RowDefinition Height="40"/>
        </Grid.RowDefinitions>
        <DataGrid ItemsSource="{Binding TovarsList}" AutoGenerateColumns="False" IsReadOnly="True">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Название" Binding="{Binding NameTovar}"/>
                <DataGridTextColumn Header="Категория" Binding="{Binding IdCategoriesNavigation.TypeCateg}"/>
                <DataGridTextColumn Header="Цена" Binding="{Binding Price}"/>
                <DataGridTextColumn Header="Фото" Binding="{Binding ImageTovar}"/>
            </DataGrid.Columns>
        </DataGrid>

        <Grid Grid.Row="1">
            <Button Content="Довавить" HorizontalAlignment="Left"/>
            <Button Content="Удалить" HorizontalAlignment="Right"/>
        </Grid>
    </Grid>
</Page>
